package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF7D4 extends MwfRequest<MWF7D4, MWF7D4Response> {

    @Parameter(name = "ApplicantBirthNumber")
    MWF7D4 applicantBirthNumber(String applicantBirthNumber);
    @Parameter(name = "ApplicantCif")
    MWF7D4 applicantCif(String applicantCif);
    @Parameter(name = "ClientAccountBankCode")
    MWF7D4 clientAccountBankCode(String clientAccountBankCode);
    @Parameter(name = "ClientAddresses")
    MWF7D4 clientAddresses(String clientAddresses);
    @Parameter(name = "ClientBirthDate")
    MWF7D4 clientBirthDate(java.util.Date clientBirthDate);
    @Parameter(name = "ClientBirthNumber")
    MWF7D4 clientBirthNumber(String clientBirthNumber);
    @Parameter(name = "ClientForename")
    MWF7D4 clientForename(String clientForename);
    @Parameter(name = "ClientIdentificationCardNumber")
    MWF7D4 clientIdentificationCardNumber(String clientIdentificationCardNumber);
    @Parameter(name = "ClientSurname")
    MWF7D4 clientSurname(String clientSurname);
    @Parameter(name = "RWS_ClientAccounts")
    MWF7D4 rWSClientAccounts(java.util.List<MWF7D4RWSClientAccounts> rWSClientAccounts);
    @Parameter(name = "RWS_Transactions")
    MWF7D4 rWSTransactions(java.util.List<MWF7D4RWSTransactions> rWSTransactions);
    @Parameter(name = "TransactionCaptureDate")
    MWF7D4 transactionCaptureDate(java.util.Date transactionCaptureDate);
}
